'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _ramda = require('ramda');

var _decodePath = require('./decodePath');

var _decodePath2 = _interopRequireDefault(_decodePath);

var _encodedPathExp = require('./encodedPathExp');

var _encodedPathExp2 = _interopRequireDefault(_encodedPathExp);

var _decodedPathExp = require('./decodedPathExp');

var _decodedPathExp2 = _interopRequireDefault(_decodedPathExp);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var isJsonPath = (0, _ramda.allPass)([(0, _ramda.is)(String), (0, _ramda.test)(_encodedPathExp2.default), (0, _ramda.compose)((0, _ramda.test)(_decodedPathExp2.default), _decodePath2.default)]);

exports.default = isJsonPath;
//# sourceMappingURL=isJsonPath.js.map
