import { allPass, is, test, compose } from 'ramda'
import decodePath from './decodePath'
import encodedPathExp from './encodedPathExp'
import decodedPathExp from './decodedPathExp'

const isJsonPath = allPass([
  is(String),
  test(encodedPathExp),
  compose(test(decodedPathExp), decodePath)
])

export default isJsonPath
